const router = require("express").Router();
const { authenticateAdmin, audit } = require("../../middleware");

const AdminKycController = require("../../controllers/admin/kycController");

// List
router.get("/", authenticateAdmin, AdminKycController.getKycRequests);
// Update KYC status
router.put("/:kycId", authenticateAdmin, audit("kyc.updateStatus", "kyc"), AdminKycController.updateKycStatus);
// Get KYC details
router.get("/:kycId", authenticateAdmin, AdminKycController.getKycDetails);

module.exports = router;